<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="{{ asset('style/images/favicon.png') }}">
        <meta name="robots" content="noindex, nofollow">

        <link href="{{ asset('assets/css/bootstrap.min.css') }}" id="bootstrap-style" rel="stylesheet">
        <link href="{{ asset('assets/css/icons.min.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/libs/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('assets/css/app.min.css') }}" id="app-style" rel="stylesheet">

        <title>Dashboard | Sprindt - {% block title %}Votre Devis instantané !{% endblock %}</title>
        {% block stylesheets %}{% endblock %}
    </head>
    <body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader"><div id="status"><div class="spinner"></div></div></div>

    <!-- Begin page -->
    <div id="layout-wrapper">

        <header id="page-topbar">
            <div class="navbar-header">
                <div class="d-flex">
                    <div style="background: #fff; border-right: 1px solid #ddd;" class="navbar-brand-box">
                        <a href="{{ path('dashboard_index') }}" class="logo logo-dark">
                            <span class="logo-sm">
                                <img src="{{ asset('assets/images/logo-sm.png') }}" alt="" height="22">
                            </span>
                            <span class="logo-lg">
                                <img src="{{ asset('assets/images/logo.png') }}" alt="" height="20">
                            </span>
                        </a>

                        <a href="{{ path('dashboard_index') }}" class="logo logo-light">
                            <span class="logo-sm">
                                <img src="{{ asset('assets/images/logo-sm.png') }}" alt="" height="22">
                            </span>
                            <span class="logo-lg">
                                <img src="{{ asset('assets/images/logo.png') }}" alt="" height="40">
                            </span>
                        </a>
                    </div>

                    <button type="button" class="btn btn-sm px-3 font-size-24 header-item waves-effect" id="vertical-menu-btn">
                        <i class="mdi mdi-menu"></i>
                    </button>

                    <div class="d-none d-sm-block ml-2">
                        <h4 class="page-title font-size-18">Dashboard</h4>
                    </div>

                </div>

                <div class="search-wrap" id="search-wrap">
                    <div class="search-bar">
                        <input class="search-input form-control" placeholder="Search" />
                        <a href="#" class="close-search toggle-search" data-target="#search-wrap">
                            <i class="mdi mdi-close-circle"></i>
                        </a>
                    </div>
                </div>

                <div class="d-flex">

                    <div class="dropdown d-none d-lg-inline-block">
                        <button type="button" class="btn header-item toggle-search noti-icon waves-effect" data-target="#search-wrap">
                            <i class="mdi mdi-magnify"></i>
                        </button>
                    </div>

                    <div class="dropdown d-none d-lg-inline-block">
                        <button type="button" class="btn header-item noti-icon waves-effect" data-toggle="fullscreen">
                            <i class="mdi mdi-fullscreen"></i>
                        </button>
                    </div>

                    {{ render(controller('App\\Controller\\NotificationController::listing')) }}

                    <div class="dropdown d-inline-block ml-2">
                        <button type="button" class="btn header-item waves-effect" id="page-header-user-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img class="rounded-circle header-profile-user" src="{{ app.user.logoUrl }}" alt="{{ app.user }}">
                        </button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item" href="{{ path('dashboard_user_my_profile') }}"><i class="dripicons-user font-size-16 align-middle mr-2"></i> Profil</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="{{ path('app_logout') }}"><i class="dripicons-exit font-size-16 align-middle mr-2"></i> Se déconnecter</a>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <div class="vertical-menu">
            <div data-simplebar class="h-100">
                <div id="sidebar-menu">
                    {% include "partials/sidebar.html.twig" %}
                </div>
            </div>
        </div>

        <div class="main-content">
            <div class="page-content">
                {% block body %}{% endblock %}
            </div>

            <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            © 2019 - {{ "now"|date('Y') }} Sprindt <span class="d-none d-sm-inline-block"> - Tous les droits sont réservés.</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>

    <script src="{{ asset('assets/libs/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/libs/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('assets/libs/metismenu/metisMenu.min.js') }}"></script>
    <script src="{{ asset('assets/libs/simplebar/simplebar.min.js') }}"></script>
    <script src="{{ asset('assets/libs/node-waves/waves.min.js') }}"></script>
    <script src="{{ asset('assets/libs/select2/js/select2.min.js') }}"></script>

    {#<script src="{{ asset('assets/libs/morris.js/morris.min.js') }}"></script>#}
    <script src="{{ asset('assets/libs/raphael/raphael.min.js') }}"></script>

    {#<script src="{{ asset('assets/js/pages/dashboard.init.js') }}"></script>#}

    <script src="{{ asset('assets/js/app.js') }}"></script>

    <script>
        $(function () {
            $('.select2').select2();

            $('.notifications-link').click(function (e) {
                e.preventDefault();
                $('.badge', $(this)).css("opacity", 0);
                $.ajax({
                    type: "post",
                    url: "{{ path('dashboard_mark_notification_as_read') }}"
                })
            })
        });
    </script>

    {% block javascripts %}{% endblock %}
    </body>
</html>
